#!/usr/bin/env python

from deter import topdl

subs = [ ]
elems = [ ]

subs.append(topdl.Substrate(name='link0'))

for elem_name in ('a', 'b'):
    inf = topdl.Interface(name='inf000', substrate=['link0'])
    elem = topdl.Computer(name=elem_name, interface=[inf])
    elems.append(elem)

top = topdl.Topology(substrates=subs, elements=elems)

print topdl.topology_to_xml(top, top='experiment')
