#!/usr/bin/env python

import sys
from deter import topdl

if len(sys.argv) < 2:
    sys.exit('Usage: %s topdl_file' % sys.argv[0])

top = topdl.topology_from_xml(filename=sys.argv[1], top='experiment')

for i, e in enumerate(top.elements):
    if not isinstance(e, topdl.Computer): continue
    e.set_attribute('computer_number', '%s' % i)


print topdl.topology_to_xml(top, top='experiment')
